# MERSpawn

## CustomFlag: **MERSpawn**

**Description:** Configuration for MER related spawning behavior (locker spawning, replacement, and schematic).

**Parameters:**

* `locker_spawning` — If `true`, spawn via locker placement.
* `replace_primitive` — If `true`, replace primitive spawns with this object.
* `schematic_name` — Name of the schematic to use.
* `object_name` — Object name (name of the primitive or locker).

**Example Yaml context:**

```yaml
flag_settings:
  mer_spawn_settings:
  - locker_spawning: false
    replace_primitive: false
    schematic_name: Test
    object_name: ''
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.uci.ucserver.it/api/customflagsettings/merspawn.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
